package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标签管理对象 t_label
 *
 * @author luobo
 * @date 2021-08-30
 */
public class Label extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标签id */
    private Long labelId;

    /** 标签类型 */
    @Excel(name = "标签类型")
    private String markerType;

    /** 标签名称 */
    @Excel(name = "标签名称")
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 创建人 */
    private Long createAt;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setLabelId(Long labelId)
    {
        this.labelId = labelId;
    }

    public Long getLabelId()
    {
        return labelId;
    }
    public void setMarkerType(String markerType)
    {
        this.markerType = markerType;
    }

    public String getMarkerType()
    {
        return markerType;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setCreateAt(Long createAt)
    {
        this.createAt = createAt;
    }

    public Long getCreateAt()
    {
        return createAt;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("labelId", getLabelId())
            .append("markerType", getMarkerType())
            .append("name", getName())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("createAt", getCreateAt())
            .append("remarks", getRemarks())
            .toString();
    }
}
